Bug 1014353 - Review Request: php-lightopenid - PHP OpenID library
Review Request: php-lightopenid - PHP OpenID library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
: 1018855 (view as bug list)
Depends On:
Blocks: 1014344
  Show dependency treegraph
 
Reported: 2013-10-01 15:19 EDT by Patrick Uiterwijk
Modified: 2013-10-18 15:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: gallery3-openid-2.0-0.2.beta.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:58:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2013-10-01 15:19:16 EDT
Spec URL: http://puiterwijk.fedorapeople.org//lightopenid.spec
SRPM URL: http://puiterwijk.fedorapeople.org//lightopenid-0.6-1.fc19.src.rpm

Description:
Lightweight OpenID library.
Comment 1 Patrick Uiterwijk 2013-10-01 15:19:48 EDT
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6013047
Comment 2 Ian Weller 2013-10-01 15:42:33 EDT
This should be named php-lightopenid.

https://fedoraproject.org/wiki/Packaging:PHP#Naming_scheme
Comment 4 Ian Weller 2013-10-01 16:42:10 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/ianweller/REVIEW/1014353-php-lightopenid/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.

cp should be given the -p option

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-lightopenid-0.6-1.fc18.noarch.rpm
          php-lightopenid-0.6-1.fc18.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-lightopenid
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-lightopenid (rpmlib, GLIBC filtered):
    php



Provides
--------
php-lightopenid:
    php-lightopenid



Source checksums
----------------
http://lightopenid.googlecode.com/files/lightopenid-0.6.tgz :
  CHECKSUM(SHA256) this package     : 8faafadf8717550fe4f68471254ee64dbb5ba8552a5081ab7c3578cc5dcdcab6
  CHECKSUM(SHA256) upstream package : 8faafadf8717550fe4f68471254ee64dbb5ba8552a5081ab7c3578cc5dcdcab6


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -P PHP -b 1014353
Buildroot used: fedora-18-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

-------------------------------------------------------------------------------

Please add the -p option to cp in the %install section.
Otherwise, this package is APPROVED
Comment 5 Patrick Uiterwijk 2013-10-01 16:46:29 EDT
New Package SCM Request
=======================
Package Name: php-lightopenid
Short Description: PHP OpenID library
Owners: puiterwijk
Branches: el6 f19 f20
InitialCC:
Comment 6 Gwyn Ciesla 2013-10-02 08:14:23 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-10-03 17:30:59 EDT
gallery3-openid-2.0-0.2.beta.fc19,php-lightopenid-0.6-1.fc19,openid-selector-1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gallery3-openid-2.0-0.2.beta.fc19,php-lightopenid-0.6-1.fc19,openid-selector-1.3-1.fc19
Comment 8 Remi Collet 2013-10-03 23:28:04 EDT
Review submitted 2013-10-01 15:19:16
Review approved 2013-10-01 16:42:10

This don't let other time to have a minimal look at  it :-(

Obviously :
[!]: Package complies to the Packaging Guidelines

Please read: http://fedoraproject.org/wiki/Packaging:PHP

Requires:       php >= 5.1.2

=> A PHP library must not have an explicit Requires on php or httpd..

From phpcompatinfo report should be

Requires:       php(language) >= 5.1.2 (but this one have no interest)
Requires:       php-curl
Requires:       php-pcre

%{_datadir}/lightopenid

=> Non-PEAR PHP software which provides shared libraries should put its PHP source files for such shared libraries in a subfolder of /usr/share/php

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

So ? no link to upstream request or bug report ?

[!]: Packages should try to preserve timestamps of original installed files.

So ? 
Ok, the package have been fixed, but this is not traced here.


> Otherwise, this package is APPROVED
Really ?


Reviews are not a speed competition !
Please fix the package.
Comment 9 Fedora Update System 2013-10-05 21:35:07 EDT
gallery3-openid-2.0-0.2.beta.fc19, php-lightopenid-0.6-1.fc19, openid-selector-1.3-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Patrick Uiterwijk 2013-10-14 10:52:03 EDT
> Obviously :
> [!]: Package complies to the Packaging Guidelines
> 
> Please read: http://fedoraproject.org/wiki/Packaging:PHP
> 
> Requires:       php >= 5.1.2
> 
> => A PHP library must not have an explicit Requires on php or httpd..
> 
> From phpcompatinfo report should be
> 
> Requires:       php(language) >= 5.1.2 (but this one have no interest)
> Requires:       php-curl
> Requires:       php-pcre
> 
> %{_datadir}/lightopenid
> 
> => Non-PEAR PHP software which provides shared libraries should put its PHP
> source files for such shared libraries in a subfolder of /usr/share/php
Fixed in 0.6-2


> 
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> 
> So ? no link to upstream request or bug report ?
This is in upstream since 2013, I just requested them to make a new release: http://code.google.com/p/lightopenid/issues/detail?id=75

> 
> [!]: Packages should try to preserve timestamps of original installed files.
> 
> So ? 
> Ok, the package have been fixed, but this is not traced here.
This is already fixed: cp -p preserved timestamps.
Comment 11 Patrick Uiterwijk 2013-10-14 11:09:49 EDT
*** Bug 1018855 has been marked as a duplicate of this bug. ***
Comment 12 Fedora Update System 2013-10-18 15:58:36 EDT
gallery3-openid-2.0-0.2.beta.fc19, php-lightopenid-0.6-1.fc19, openid-selector-1.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.